### Function

# Pango FontsetForeachFunc

#### Declaration

    gboolean
    FontsetForeachFunc (
      PangoFontset* fontset,
      PangoFont* font,
      gpointer user_data
    )

#### Description [src]

Callback used by `pango_fontset_foreach()` when enumerating fonts in a fontset.

Available since: | 1.4

#### Parameters

`fontset` | `PangoFontset`
| A `PangoFontset`
| The data is owned by the caller of the function.
`font` | `PangoFont`
| A font from `fontset`.
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| Callback data.

#### Return value

Returns: | `gboolean`
| If `TRUE`, stop iteration and return immediately.